package org.jtheque.core;

import org.jtheque.core.managers.core.application.XMLApplication;
import org.jtheque.core.managers.core.application.Application;
import org.jtheque.core.managers.core.Core;

/*
 * This file is part of JTheque.
 * 	   
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License. 
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * A simple launcher for XML applications. 
 * 
 * @author Baptiste Wicht
 */
public class CoreLauncher {
    /**
     * Launch the application. The application is read from the "application.xml" file at the same location than the 
     * core. 
     * 
     * @param args No args will be read. 
     */
    public static void main(String[] args) {
        System.setProperty("user.dir", "N:/Programmation/WorkDirectory/JTheque/test/core");
        
        System.setProperty("user.dir", System.getProperty("user.dir") + "/");
        
        Application application = new XMLApplication(System.getProperty("user.dir") + "application.xml");
        
        Core.getInstance().launchJThequeCore(application);
    }
}