package org.jtheque.core.managers.skin;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * This bean represents a look and feel, in a zip or installed in the system.
 *
 * @author Baptiste Wicht
 */
public abstract class AbstractSkin implements Skin {
    private final String name;
    private final String className;

    /**
     * Construct a new AbstractSkin. 
     * 
     * @param name The name of the skin. 
     * @param className The class name of the skin. 
     */
    AbstractSkin(String name, String className) {
        super();

        this.name = name;
        this.className = className;
    }

    @Override
    public final String getName() {
        return name;
    }

    @Override
    public final String getClassName() {
        return className;
    }

    @Override
    public final String toString() {
        return name;
    }
}